@charset "UTF-8";

/**************************************************
お知らせ
**************************************************/
/* 暫定非表示 */
#pageNav {
	display:none;
}

/* ページ送り */
#pagination ul {
	margin: 0;
	display: flex;
	justify-content: center;
	gap: 1rem;
}
#pagination li {
	margin: 0;
	list-style: none;
}
#pagination li span {
	font-weight: 500;
}


/* 記事リスト */
#postList {
	display: flex;
	flex-direction: column;
	gap: 5vw;
}
#postList ,
#postList li ,
#postList h2 ,
#postList p {
	margin:0;
	padding:0;
	list-style: none;
}
#postList li {
	overflow:hidden;
}
#postList a {
	display: flex;
	flex-direction: column;
	gap: 1rem 0;
	height: 100%;
	padding-bottom: 2rem;
	text-decoration: none;
	overflow:hidden
}
#postList a:hover {
	top: 0;
}
#postList a:hover h2 ,
#postList a:hover .postDate {
	top: 1px;
	position: relative;
}
#postList h2 {
	order: 1;
	text-align: left;
	font-size: 1.4rem !important;
	line-height: 1.4;
}
#postList h2 ,
#postList .postDate {
	padding: 0 2rem;
}
/* アイキャッチ画像 */
#postList .postThm {
	width: 100%;
	aspect-ratio: 1.91 / 1;	/* アスペクト比指定 */
	overflow: hidden; /* はみ出た部分を隠す */
}
#postList .postThm img {
	width: 100%;
	height: 100%;
	object-fit: cover; /* 比率を保ちつつ全体を覆う */
	object-position: center; /* 中央を基準にトリミング */
}

/* 記事ページ */
#blogPage #pageContent ,
#infoPage #pageContent ,
#post {
	display: flex;
	flex-direction: column;
	gap: 8vw 0;
}

/* 記事ヘッダー */
#postHeader .postTitle {
	font-size: 2.5rem;
	line-height: 1.4;
	padding-bottom: 2rem;
}
#postHeader p {
	margin: 0;
}

/* 本文 */
#postContent h2 {
	text-align: left;
	font-size: 2rem;
	margin-bottom: 2.5vw;
	padding-bottom: 1.5rem;
	border-bottom: 1px solid;
}
#postContent p,
#postContent ul  ,
#postContent dl  {
	margin: 2rem 0;
	font-size: 1.4rem;
}
#postContent *:first-child {
	margin-top: 0;
}

/* 画像 */
#postContent p img {
	margin: 1.6rem 0 !important;
}

/* Twitter埋め込み */
#postContent .twitter-tweet {
	margin: 4rem auto !important;
}

/* 会話風 */
#postContent .talk {
	display: flex;
	gap: 3rem;
	align-items: flex-start;
	margin: 4rem 0;
}
#postContent .talk dt {
	text-align: center;
	font-size: 1rem;
	line-height: 1;
	color: #356472;
	font-weight: 500;
}
#postContent .talk img {
	width: 20vw;
	max-width: 120px;
	border-radius: 60px;
	margin: 0 0 1.2rem;
}
#postContent .talk dd:before {
  content: "";
  display: inline-block;
  position: absolute;
  top: 1.4rem;
  left: -3rem;
  border: 1.5rem solid transparent;
  border-right: 1.5rem solid #84A2AB;
}
#postContent .talk dd {
	padding: 2rem;
	border-radius: 5px;
	background: #84A2AB;
	position: relative;
}
#postContent .talk span {
	display: none;
}
#postContent .talk p:first-child {
	margin-top: 0;
}
#postContent .talk p:last-child {
	margin-bottom: 0;
}
#postContent .talk .big {
	font-size: 3rem;
	font-weight: 700;
}
#postContent .talk .small {
	font-size: 1rem;
}

/* ふりがな */
#postContent .talk .big ruby {
	font-weight: 700;
}
#postContent * ruby rt {
	font-weight: 400;
	font-size: 1rem;
}

/* 横並びに */
#postContent .flex {
	display: flex;
	gap: 1rem;
}
#postContent .flex * {
	margin: 0;
}
#postContent .flex .base {
	flex-grow: 1;
}

/* タグ */
#postTag {
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
}
#postTag li {
	margin: 0;
	padding: 0;
	list-style: none;
}
#postTag a {
	display: block;
	position: relative;
	margin-left: 1rem;
	padding: 0.5rem 1rem 0.5rem 1.5rem;
	color: #93B4BE;
	text-decoration: none;
	background-color: #356472;
	font-size: 1.2rem;
	line-height: 1;
}
#postTag a:before {
	display: block;
	position: absolute;
	top: 0;
	left: -1rem;
	content: '';
	border-width: 1.1rem 1rem 1.1rem 0;
	border-style: solid;
	border-color: transparent #356472 transparent transparent;
}
#postTag a:after {
	position: absolute;
	top: 0.65rem;
	left: 0;
	content: '●';
	color: #93B4BE;
	font-size: 0.8rem;
}

/**************************************************
タブレットの時
**************************************************/

@media only screen and (min-width: 768px) {

	/* 記事リスト */
	#postList {
		flex-wrap: wrap;
		flex-direction: row;
	}
	#postList li {
		width: 42.5vw;
	}

	/* 日付・名前 */
	#postHeader p {
		display: inline-block;
		margin-right: 1rem;
	}
	#postContent p,
	#postContent ul  ,
	#postContent dl  {
		font-size: 1.6rem;
	}
	/* 会話風 */
	#postContent .talk dt {
		font-size: 1.2rem;
	}
	#postContent .talk dd {
		padding: 2rem 3rem;
	}
	#postContent .talk dd:before {
	  top: 1.6rem;
	}
	#postContent .talk .big {
		font-size: 4rem;
	}

}

/**************************************************
パソコンの時
**************************************************/

@media only screen and (min-width: 1000px) {

	/* 記事リスト */
	#postList {
		gap: 40px 20px;
	}
	#postList li {
		width: 253px;
	}

}
